#!/bin/sh
#
WORKDIR="work"
TMPFILE="/tmp/query_log.tmp"
TMPFILE2="kanjifile"
APACHE_LOG="/var/log/httpd/access_log"
#
if [ -f $TMPFILE ] ; then
	echo "working file $TMPFILE is already exist."
	echo "abort."
	exit 1
fi
if [ -f $WORKDIR ] ; then
	echo "working directry $WORKDIR is already exist."
	echo "abort."
	exit 1
fi

mkdir $WORKDIR
if [ $? -ne 0 ] ; then
	echo "cannot make $WORKDIR directory."
	echo "please check the mode of current directory."
	exit 1
fi

if [ $# -eq 0 ] ; then
	/bin/cat $APACHE_LOG > $TMPFILE
else
	/bin/cat $* > $TMPFILE
fi
cd $WORKDIR

/bin/grep '?.*=' $TMPFILE | url2kanji | url2kanji | split -l 1
if [ ! -f xaa ] ; then
	echo "no result."
	cd ..
	/bin/rm -r $WORKDIR
	/bin/rm $TMPFILE
	exit 0
fi
touch $TMPFILE2
for FILE in * ; do
	/bin/grep UTF-8 $FILE >/dev/null
	if [ $? -ne 0 ] ; then
		/bin/grep search\\\.msn\\\.co\\\.jp $FILE >/dev/null
		if [ $? -ne 0 ]; then
			/usr/bin/nkf $FILE >>$TMPFILE2 ;
		else
			/usr/bin/iconv -f UTF-8 -t EUCJP $FILE | /usr/bin/nkf >>$TMPFILE2
		fi
	else
		/usr/bin/iconv -f UTF-8 -t EUCJP $FILE | /usr/bin/nkf >>$TMPFILE2
	fi
done
/bin/cat $TMPFILE2
cd ..
/bin/rm -r $WORKDIR
/bin/rm $TMPFILE
exit 0
# EOF	#######################################################################
